# Uses of Class
org.eclipse.core.commands.State

Packages that use State
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.e4.core.commands.internal
org.eclipse.jface.commands
Provides JFace-specific support for commands.
org.eclipse.jface.menus
Provides support for trim specification.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.

## Uses of State in org.eclipse.core.commands

Methods in org.eclipse.core.commands that return State
Modifier and Type
Method
Description
`final State`
AbstractHandlerWithState.`getState(String stateId)`
`State`
IObjectWithState.`getState(String stateId)`
Gets the state with the given id.
Methods in org.eclipse.core.commands with parameters of type State
Modifier and Type
Method
Description
`void`
AbstractHandlerWithState.`addState(String stateId, State state)`
Adds a state to this handler.
`void`
Command.`addState(String id, State state)`
Adds a state to this command.
`void`
IObjectWithState.`addState(String id, State state)`
Adds state to this object.
`void`
IStateListener.`handleStateChange(State state, Object oldValue)`
Handles a change to the value in some state.

## Uses of State in org.eclipse.e4.core.commands.internal

Methods in org.eclipse.e4.core.commands.internal with parameters of type State
Modifier and Type
Method
Description
`void`
HandlerServiceHandler.`addState(String stateId, State state)`
`void`
HandlerServiceHandler.`handleStateChange(State state, Object oldValue)`

## Uses of State in org.eclipse.jface.commands

Subclasses of State in org.eclipse.jface.commands
Modifier and Type
Class
Description
`class`
`PersistentState`
This is a state that can be made persistent.
`class`
`RadioState`
A piece of boolean state grouped with other boolean states.
`class`
`ToggleState`
A piece of state storing a `Boolean`.

## Uses of State in org.eclipse.jface.menus

Subclasses of State in org.eclipse.jface.menus
Modifier and Type
Class
Description
`class`
`TextState`
A piece of state carrying a single `String`.

## Uses of State in org.eclipse.ui.handlers

Subclasses of State in org.eclipse.ui.handlers
Modifier and Type
Class
Description
`final class`
`RadioState`
This state supports a radio-button like command, where the value of the parameterized command is stored as state.
`final class`
`RegistryRadioState`
A radio state that can be read from the registry.
`final class`
`RegistryToggleState`
A toggle state that can be read from the registry.